*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Poppins,sans-serif;
}

body{
    display:flex;
    justify-content:center;
    align-items:center;
    min-height:100vh;

    background:url(background.png);
    background-size:cover;
    background-position:center;
}

.container{
    width:400px;
    padding:25px;

    background:rgba(255,255,255,0.1);

    backdrop-filter:blur(25px);

    border:2px solid rgba(255,255,255,0.2);

    border-radius:20px;

    color:white;
}

.search-box{
    display:flex;
    align-items:center;
    gap:10px;
}

.search-box input{
    width:100%;
    height:45px;

    background:transparent;

    border:1px solid rgba(255,255,255,.3);

    border-radius:10px;

    outline:none;

    color:white;

    padding:10px;
}

.search-box button{
    width:45px;
    height:45px;

    border:none;
    border-radius:50%;

    cursor:pointer;
}

.weather-box{
    text-align:center;
    margin-top:30px;
}

.weather-box img{
    width:180px;
}

.temp{
    font-size:70px;
}

.description{
    font-size:25px;
}

.weather-details{
    display:flex;
    justify-content:space-between;

    margin-top:30px;
}

.weather-details i{
    font-size:40px;
}

.humidity,
.wind{
    display:flex;
    align-items:center;
    gap:10px;
}